petsc-3.12.1 2019-10-22
Report Typos and Errors

# SNESGetSolutionNorm

Gets the last computed norm of the solution

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESGetSolutionNorm(SNES snes, PetscReal *xnorm)

Not Collective

### Input Parameter

snes -the SNES context

### Output Parameter

xnorm -the last computed solution norm

### See Also

SNESSetNormSchedule(), SNESComputeFunction(), SNESGetFunctionNorm(), SNESGetUpdateNorm()

### Level

developer

### Location

src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages